/** 
 * @Title: mediaAndWeixin.java 
 * @Package com.zhiweidata.bjfzxWebapp.entity 
 * @Description: TODO(用一句话描述该文件做什么) 
 * @author xuyimeng 
 * @date 2018年2月7日 上午11:29:17 
 * @version V1.0 
 */ /**
 * 
 */
package com.zhiweidata.bjfzxWebapp.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Transient;
import org.springframework.data.mongodb.core.index.Indexed;

/** 
 * @ClassName: mediaAndWeixin 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author xuyimeng 
 * @date 2018年2月7日 上午11:29:17  
 */
public class mediaAndWeixinEs implements Serializable{
	@Transient
    private static final long serialVersionUID = -6799862774324060068L;

    /**
     * 因2017-08-18日搜狗微信修改了链接导致链接不唯一，修改微信主键去重,若数据为微信数据，则主键为   
     * (eventId+"_"+title+"_"+source+"_"+time(Date.getTime())).replace(".", "-") 
     * time字段时间戳
     * 修改位置为 工具类BeanChangeUtil.java的MapToMediaAndWechatEvent(Map<String, Object>, String, String)方法
     * 以及  这个类的构造方法
     */
    @Indexed
    private String _id; // 主键

    private String url; // 文章地址

    private String title; // 标题

    @Indexed
    private Date time; // 发布时间

    @Indexed
    private String source; // 来源

    @Indexed
    private String type; // 类型

    private String content; // 内容

    @Indexed
    private Long savetime; // 入库时间

    private Long rsid; // 标识码

    @Indexed
    private String pt; // 平台

    @Indexed
    private String eventId; // 事件id

    @Indexed
    private double H;// h因子 分析获取用
    
    @Transient
    private String imgUrl;//头像图片地址，重要渠道传值使用

	public String get_id() {
		return _id;
	}

	public void set_id(String _id) {
		this._id = _id;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Long getSavetime() {
		return savetime;
	}

	public void setSavetime(Long savetime) {
		this.savetime = savetime;
	}

	public Long getRsid() {
		return rsid;
	}

	public void setRsid(Long rsid) {
		this.rsid = rsid;
	}

	public String getPt() {
		return pt;
	}

	public void setPt(String pt) {
		this.pt = pt;
	}

	public String getEventId() {
		return eventId;
	}

	public void setEventId(String eventId) {
		this.eventId = eventId;
	}

	public double getH() {
		return H;
	}

	public void setH(double h) {
		H = h;
	}

	public String getImgUrl() {
		return imgUrl;
	}

	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}

	@Override
	public String toString() {
		return "mediaAndWeixinEs [_id=" + _id + ", url=" + url + ", title=" + title + ", time=" + time + ", source="
				+ source + ", type=" + type + ", content=" + content + ", savetime=" + savetime + ", rsid=" + rsid
				+ ", pt=" + pt + ", eventId=" + eventId + ", H=" + H + ", imgUrl=" + imgUrl + "]";
	}
    
}
